package org.klomp.bpms.bpml;

import java.util.ArrayList;
import java.util.List;

import org.exolab.castor.types.AnyNode;

public class Package implements Documented {
    /** All BPML things defined in this package will have this targetNamespace
     *  as their definition namespace.
     */
    private String targetNamespace;
    
    private AnyNode documentation;
    private List features = new ArrayList();
    private List imports = new ArrayList();
    
    /** The package contextual declarations.
     *  List of: connect, model, process, property
     */
    private List contextuals = new ArrayList();
    
    public AnyNode getDocumentation() {
        return documentation;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }
    public List getFeatures() {
        return features;
    }

    public List getImports() {
        return imports;
    }

    public String getTargetNamespace() {
        return targetNamespace;
    }

    public void setFeatures(List features) {
        this.features = features;
    }

    public void setImports(List imports) {
        this.imports = imports;
    }

    public void setTargetNamespace(String targetNamespace) {
        this.targetNamespace = targetNamespace;
    }

    public List getContextuals() {
        return contextuals;
    }

    public void setContextuals(List contextuals) {
        this.contextuals = contextuals;
    }

}
