package org.klomp.bpms.bpml;

public class Transaction {
    /** Required name. */
    private String name;
    
    /** Either "atomic" or "open". Defaults to "atomic". */
    private String type = "atomic";
    
    /** Transaction participation declaration. One of "supports",
     *  "always" and "never". Defaults to "never".
     */
    private String participation = "never";
    
    /** Number of attempted retries. Defaults to 0. */
    private int retries = 0;
    
    /** Optional compensation activities for open transactions. */
    private Compensation compensation;
    
    
    public Compensation getCompensation() {
        return compensation;
    }

    public String getName() {
        return name;
    }

    public String getParticipation() {
        return participation;
    }

    public int getRetries() {
        return retries;
    }

    public String getType() {
        return type;
    }

    public void setCompensation(Compensation compensation) {
        this.compensation = compensation;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setParticipation(String participation) {
        this.participation = participation;
    }

    public void setRetries(int retries) {
        this.retries = retries;
    }

    public void setType(String type) {
        this.type = type;
    }

}
