package org.klomp.bpms.bpml.activity;

import java.util.ArrayList;
import java.util.List;

import org.exolab.castor.types.AnyNode;
import org.klomp.bpms.bpml.Activity;
import org.klomp.bpms.bpml.ActivitySet;
import org.klomp.bpms.bpml.Context;
import org.klomp.bpms.bpml.Contextual;

public class Process implements Activity, ActivitySet, Contextual {
    private AnyNode documentation;
    /** Name of the process. Required. */
    private String name;
    
    /** Must be "message" or "other". Default is "message". Optional. */
    private String instantiation = "message";
    
    /** Must be "public" or "private". Default is "private". Optional. */
    private String scope = "private";
    
    /** Must be a positive integer (as a string) or "unbounded". Optional. */
    private String maxConcurrent = "unbounded";
    
    /** Must be a positive integer (as a string) or "unbounded". Optional. */
    private String maxLifetime = "unbounded";
    
    private List implementsList = new ArrayList();
    
    private List parameters = new ArrayList();

    /** Optional context definition. */
    private Context context;
    
    private List activities = new ArrayList();    

    public AnyNode getDocumentation() {
        return documentation;
    }

    public String getName() {
        return name;
    }

    public void setDocumentation(AnyNode documentation) {
        this.documentation = documentation;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getInstantiation() {
        return instantiation;
    }

    public String getMaxConcurrent() {
        return maxConcurrent;
    }

    public String getMaxLifetime() {
        return maxLifetime;
    }

    public String getScope() {
        return scope;
    }

    public void setInstantiation(String instantiation) {
        this.instantiation = instantiation;
    }

    public void setMaxConcurrent(String maxConcurrent) {
        this.maxConcurrent = maxConcurrent;
    }

    public void setMaxLifetime(String maxLifetime) {
        this.maxLifetime = maxLifetime;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public List getImplements() {
        return implementsList;
    }

    public List getParameters() {
        return parameters;
    }

    public void setImplements(List implementsList) {
        this.implementsList = implementsList;
    }

    public void setParameters(List parameters) {
        this.parameters = parameters;
    }

    public List getActivities() {
        return activities;
    }

    public Context getContext() {
        return context;
    }

    public void setActivities(List activities) {
        this.activities = activities;
    }

    public void setContext(Context context) {
        this.context = context;
    }
}
